import java.util.*;

public class ToDoListCollectionImpl implements ToDoListCollection{
    private Collection<ToDoList> coll = new TreeSet<ToDoList>();
    
    public boolean add(ToDoList list) {
    	return coll.add(list);
    }
    
    public boolean remove(ToDoList list) {
    	return coll.remove(list);
    }
    
    public int getNumberOfToDoLists(){ 
    	return coll.size(); 
    }
    
    /*
    public ToDoList getToDoList (String listName) {
    	// sequential search in short notation
    	for(ToDoList l:coll) {
    		if (l.getListName().equals(listName))
    			return l;
    	}
    	return null;
    }*/
    
    
     public ToDoList getToDoList (String listName) {
    	// sequential search with explicit Iterator
    	Iterator<ToDoList> i = coll.iterator();
    	ToDoList nextList;
    	while(i.hasNext()) {
    	    nextList = i.next();
    	    if (nextList.getListName().equals(listName)) {
    	        return nextList;
    	    }
    	}
    	return null;
    }
    
    public String toString(){ 
    	String print="";
    	for (ToDoList s: coll) {
    		print = print + s + "\n";    	
    	}
    	return  print;
    }
}