import java.util.*;

public class ToDoListImpl implements ToDoList, Comparable<ToDoListImpl>{

    private String listName;
    private List<String> toDos; 
    
    public ToDoListImpl(String name) {
    	listName = name;
    	toDos = new ArrayList<String>();
    }
    public boolean addToDo(String toDo){
        if (!toDos.contains(toDo)){
            toDos.add(toDo);
            return true;
        }
        return false;
    }
    
    public boolean addToDo(String toDo, int position){
        if (!toDos.contains(toDo)){
            toDos.add(position, toDo);
            return true;
        }
        return false;
    }
    public int remove(String item){
        if (toDos.contains(item)){
        	int position = toDos.indexOf(item);
            toDos.remove(position);
            return position;
        }
        return -1;
    }
    
    public int getNumberOfToDos(){ 
    	return toDos.size(); 
    }
   
    public String getListName(){
    	return listName;
    }
    public void setListName(String newListName) {
    	listName = newListName;
    }
    
    public int compareTo(ToDoListImpl list) {
    	return listName.compareTo(list.listName);
    }
    
    public String toString(){ 
    	return "ToDos von " + listName + ":" + toDos;
    }
}